Update bundle by ID
Update bundle by ID. Exactly one field must be provided. When evidenceRestricted is set to true, evidence answers, policy additions, removals, and upgrades are all blocked on the bundle (409). It is a one-way toggle and cannot be unset.
curl --request PATCH \
--url https://mycluster.domino.tech/api/governance/v1/bundles/{id} \
--header 'Content-Type: application/json' \
--data '
{
"evidenceRestricted": true,
"policyId": "<string>",
"stage": "<string>"
}
'import requests
url = "https://mycluster.domino.tech/api/governance/v1/bundles/{id}"
payload = {
"evidenceRestricted": True,
"policyId": "<string>",
"stage": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({evidenceRestricted: true, policyId: '<string>', stage: '<string>'})
};
fetch('https://mycluster.domino.tech/api/governance/v1/bundles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"state": "Active",
"attachments": [
{
"approvalTimelineMap": {},
"createdAt": "<string>",
"createdBy": {},
"id": "<string>",
"identifier": {},
"source": "AUTO",
"type": "ModelVersion"
}
],
"classificationValue": "<string>",
"commentsCount": 123,
"createdAt": "<string>",
"createdBy": {},
"currentStageInfo": {
"openFindingsCount": 123,
"pendingApprovalsCount": 123,
"status": "NotStarted"
},
"enforcedPolicyIds": [
"<string>"
],
"evidenceRestricted": true,
"gates": [
{
"approvals": [
{
"id": "<string>",
"name": "<string>",
"stageApprovalId": "<string>",
"status": "PendingSubmission"
}
],
"bundleId": "<string>",
"id": "<string>",
"isOpen": true,
"name": "<string>",
"policyGateId": "<string>",
"policyId": "<string>",
"policyVersionId": "<string>",
"reason": "<string>",
"resources": [
{
"action": "Deploy",
"failOpen": true,
"parameters": {}
}
]
}
],
"hasRevalidationSchedule": true,
"name": "<string>",
"policies": [
{
"allowProjectApprovers": true,
"bundleId": "<string>",
"classificationValue": "<string>",
"compliantToCurrentStage": true,
"createdAt": "<string>",
"deactivatedAt": "<string>",
"enforceSequentialOrder": true,
"hasRevalidationSchedule": true,
"isLatestVersion": true,
"isPolicyArchived": true,
"policyId": "<string>",
"policyName": "<string>",
"policyVersion": "<string>",
"policyVersionId": "<string>",
"stage": "<string>",
"stageAssignee": {
"id": "<string>",
"name": "<string>"
},
"upgradeRequired": true
}
],
"policyId": "<string>",
"policyName": "<string>",
"policyVersion": "<string>",
"policyVersionId": "<string>",
"projectId": "<string>",
"projectName": "<string>",
"projectOwner": "<string>",
"stage": "<string>",
"stageApprovals": [
{
"approvers": [
{
"editable": true,
"id": "<string>",
"name": "<string>",
"showByDefault": true,
"fromOrganizationUserId": "<string>",
"isOrganizationUser": true
}
],
"evidence": {
"artifacts": [
{
"artifactType": "input",
"details": {},
"id": "<string>",
"policyEntityId": "<string>",
"required": true,
"visibilityRule": "<string>",
"visible": true
}
],
"createdAt": "<string>",
"description": "<string>",
"externalId": "<string>",
"id": "<string>",
"name": "<string>",
"policyId": "<string>",
"policyVersionId": "<string>",
"scope": "Global",
"visible": true
},
"id": "<string>",
"name": "<string>",
"policyEntityId": "<string>",
"revalidationConfig": {
"openWindowDaysBefore": 2,
"recurring": {
"every": 2,
"unit": "month",
"startDate": "<string>"
},
"type": "absolute"
}
}
],
"stageAssignee": {
"id": "<string>",
"name": "<string>"
},
"stages": [
{
"assignedAt": "<string>",
"assignee": {
"id": "<string>",
"name": "<string>"
},
"bundleId": "<string>",
"stage": {
"approvals": [
{
"approvers": [
{
"editable": true,
"id": "<string>",
"name": "<string>",
"showByDefault": true,
"fromOrganizationUserId": "<string>",
"isOrganizationUser": true
}
],
"evidence": {
"artifacts": [
{
"artifactType": "input",
"details": {},
"id": "<string>",
"policyEntityId": "<string>",
"required": true,
"visibilityRule": "<string>",
"visible": true
}
],
"createdAt": "<string>",
"description": "<string>",
"externalId": "<string>",
"id": "<string>",
"name": "<string>",
"policyId": "<string>",
"policyVersionId": "<string>",
"scope": "Global",
"visible": true
},
"id": "<string>",
"name": "<string>",
"policyEntityId": "<string>",
"revalidationConfig": {
"openWindowDaysBefore": 2,
"recurring": {
"every": 2,
"unit": "month",
"startDate": "<string>"
},
"type": "absolute"
}
}
],
"evidenceSet": [
{
"artifacts": [
{
"artifactType": "input",
"details": {},
"id": "<string>",
"policyEntityId": "<string>",
"required": true,
"visibilityRule": "<string>",
"visible": true
}
],
"createdAt": "<string>",
"description": "<string>",
"externalId": "<string>",
"id": "<string>",
"name": "<string>",
"policyId": "<string>",
"policyVersionId": "<string>",
"scope": "Global",
"visible": true
}
],
"id": "<string>",
"name": "<string>",
"notifyOnTransition": true,
"policyEntityId": "<string>",
"policyVersionId": "<string>"
},
"stageId": "<string>"
}
]
}{
"code": "BUNDLE_REQUIRES_POLICY",
"message": "<string>"
}{
"code": "BUNDLE_REQUIRES_POLICY",
"message": "<string>"
}{
"code": "BUNDLE_REQUIRES_POLICY",
"message": "<string>"
}{
"code": "BUNDLE_REQUIRES_POLICY",
"message": "<string>"
}Path Parameters
ID of bundle to update
Body
Bundle to update
if present, lock evidence answers and policy changes on the bundle; once set to true it cannot be unset
if present, update the primary policy of the bundle
if present, update the stage of the bundle's primary policy
if present, update the state of the bundle
Active, Archived, Complete Response
OK
Active, Archived, Complete Show child attributes
Show child attributes
The classification value of the primary policy
Show child attributes
Show child attributes
Policy IDs mandated by a PolicyEnforcer; these cannot be deactivated
Show child attributes
Show child attributes
Whether the bundle has an active revalidation schedule
Show child attributes
Show child attributes
The ID of the primary policy
The version of the primary policy
The version ID of the primary policy
The stage of the primary policy
Show child attributes
Show child attributes
The assignee to the stage of the primary policy
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Related topics
Update bundle stage by IDUpdate the policy of a bundleUpdate the finding by IDUpdate approval by IDWas this page helpful?
